Gecode::Int::Sorted::OfflineMinItem Class Reference

Item used to construct the OfflineMin sequence. More...

`#include <sortsup.hpp>`

## Public Attributes

int | root
| Root node representing the set the vertex belongs to.
int | parent
| Predecessor in the tree representation of the set.
int | rank
| Ranking of the set given by its cardinality.
int | name
| Name or label of a set.
int | iset
| Initial set label.
int | succ
| Successor in the Offline-Min sequence.
int | pred
| Predecessor in the Offline-Min sequence.

## Detailed Description

Item used to construct the OfflineMin sequence.

Definition at line 117 of file sortsup.hpp.

## Member Data Documentation

## root

int Gecode::Int::Sorted::OfflineMinItem::root

Root node representing the set the vertex belongs to.

Definition at line 120 of file sortsup.hpp.

## parent

int Gecode::Int::Sorted::OfflineMinItem::parent

Predecessor in the tree representation of the set.

Definition at line 122 of file sortsup.hpp.

## rank

int Gecode::Int::Sorted::OfflineMinItem::rank

Ranking of the set given by its cardinality.

Definition at line 124 of file sortsup.hpp.

## name

int Gecode::Int::Sorted::OfflineMinItem::name

Name or label of a set.

Definition at line 126 of file sortsup.hpp.

## iset

int Gecode::Int::Sorted::OfflineMinItem::iset

Initial set label.

This label represents the iteration index and hence the index of an insert instruction in the complete Offline-Min sequence

Definition at line 134 of file sortsup.hpp.

## succ

int Gecode::Int::Sorted::OfflineMinItem::succ

Successor in the Offline-Min sequence.

Definition at line 136 of file sortsup.hpp.

## pred

int Gecode::Int::Sorted::OfflineMinItem::pred

Predecessor in the Offline-Min sequence.

Definition at line 138 of file sortsup.hpp.

The documentation for this class was generated from the following file:

- gecode/int/sorted/sortsup.hpp